package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatChannelDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Mapper
@Repository
public interface StatChannelDAO {
    /**
     * 插入或更新
     *
     * @param statChannelDO
     * @return
     */
    int insertOrUpdate(StatChannelDO statChannelDO);

    /**
     * 批量插入或更新
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(List<StatChannelDO> list);

}
