package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatCommonBizHisDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 通用业务数据统计记录 Mapper仅限单元测试使用
 */
@Mapper
@Repository
public interface StatCommonBizHisDAO {

    /**
     * 插入数据
     */
    @Insert("INSERT INTO tb_stat_common_biz_his " +
            "(bizId,source,createTime) " +
            "VALUES " +
            "(#{bizId},#{source},#{createTime})")
    int insert(StatCommonBizHisDO po);
}
