package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatSmsIpDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/6/14
 */
@Mapper
@Repository
public interface StatSmsIpDAO {
    /**
     * 插入或更新
     *
     * @param statSmsIpDO
     * @return
     */
    int insertOrUpdate(StatSmsIpDO statSmsIpDO);

    /**
     * 根据 id 获取数量
     *
     * @param ip
     * @param sendDate
     * @return
     */
    Integer selectCountById(@Param("ip") String ip, @Param("sendDate") int sendDate);
}
