package com.starbuds.server.service.statistics.rocket.handler;

import com.starbuds.server.common.pojo.mq.QueueStatPlatformMsg;
import com.starbuds.server.service.statistics.provider.StatPlatformProvider;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Component
public class StatisticsMsgHandler {

    @Autowired
    StatPlatformProvider statPlatformProvider;

    /**
     * 处理平台数据统计
     *
     * @param msg
     */
    public void handleStatPlatform(QueueStatPlatformMsg msg) {
        statPlatformProvider.addStat(msg.getChannelId(), msg.getStatType(), msg.getStatValue(), msg.getTimestamp());
    }
}
