package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatSmsDeviceDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/6/14
 */
@Mapper
@Repository
public interface StatSmsDeviceDAO {
    /**
     * 创建或更新
     *
     * @param statSmsDeviceDO
     * @return
     */
    int insertOrUpdate(StatSmsDeviceDO statSmsDeviceDO);

    /**
     * 查询设备发送量
     *
     * @param deviceId
     * @param sendDate
     * @return
     */
    Integer selectCountById(@Param("deviceId") String deviceId, @Param("sendDate") int sendDate);
}
