package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatUserKeepDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/8/25 15:45
 * @Description 活跃用户统计
 */
@Mapper
@Repository
public interface StatUserKeepDAO {

    /**
     * 批量插入或更新
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(@Param("list") List<StatUserKeepDO> list);

}
