package com.starbuds.server.service.statistics.provider;

import com.starbuds.server.service.statistics.dao.FamilyWalletWithdrawHisDAO;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Author lujiao
 * @DateTime 2021/7/16 16:13
 * @Description
 */
@Component
public class FamilyWalletWithdrawHisProvider {

    @Resource
    FamilyWalletWithdrawHisDAO familyWalletWithdrawHisDAO;

    /**
     * 获取公会提现统计
     *
     * @param startDate
     * @param endDate
     * @return
     */
    public Long getFamilyWithdrawStat(Long startDate, Long endDate) {
        Long res = familyWalletWithdrawHisDAO.getFamilyWithdrawStat(startDate, endDate);
        if (res == null) {
            return 0L;
        }
        return res;
    }

}
