package com.starbuds.server.service.statistics.provider;

import com.starbuds.server.service.statistics.dao.SkillOrderDAO;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Author lujiao
 * @DateTime 2021/7/7 11:08
 * @Description
 */
@Component
public class SkillOrderProvider {
    @Resource
    SkillOrderDAO skillOrderDAO;

    /**
     * 获取陪玩消费（陪玩 改 开黑）
     *
     * @param startDate
     * @param endDate
     * @return
     */
    public Long getSkillOrderStat(Long startDate, Long endDate) {
        Long res = skillOrderDAO.getSkillOrderStat(startDate, endDate);
        if (res == null) {
            return 0L;
        }
        return res;
    }
}
