package com.starbuds.server.service.statistics.provider;

import com.starbuds.server.service.statistics.dao.UserNobleHisDAO;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Author lujiao
 * @DateTime 2021/7/7 11:08
 * @Description
 */
@Component
public class UserNobleHisProvider {
    @Resource
    UserNobleHisDAO userNobleHisDAO;

    /**
     * 获取贵族消费
     *
     * @param startDate
     * @param endDate
     * @return
     */
    public Long getNobleStat(Long startDate, Long endDate) {
        Long res = userNobleHisDAO.getNobleStat(startDate, endDate);
        if (res == null) {
            return 0L;
        }
        return res;
    }
}
