package com.starbuds.server.service.statistics.provider;

import com.starbuds.server.common.pojo.mq.statcommonbiz.QueueDivideCakeGetForkMsg;
import com.starbuds.server.common.utils.LogUtil;
import com.starbuds.server.common.validation.Validator;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.validator.HibernateValidator;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

@Slf4j
class StatCommonBizProviderTest {


    private Validator validator = new Validator(HibernateValidator.class);

    @Test
    void test() {
        QueueDivideCakeGetForkMsg msg = new QueueDivideCakeGetForkMsg();
        System.out.println(LogUtil.obj2JsonObj(msg));
        Assertions.assertTrue(validator.hasFail(msg));
    }
}